# Class CIM_CommonDatabaseCapabilities
extends CIM_Capabilities

Properties in this class represent general, high-level database capabilities that may be supported by a common database. For example, the ability for a database to support recoverability, replication, parallelism, or clustering would be specified in this class. Detailed settings, such as the minimum and maximum number of parallel servers for a database that supports parallelism, would be defined in the CIM_DatabaseParameter class. This information is tied to the CommonDatabase using the ElementCapabilities association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_CommonDatabaseCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

Properties in this class represent general, high-level database capabilities that may be supported by a common database. For example, the ability for a database to support recoverability, replication, parallelism, or clustering would be specified in this class. Detailed settings, such as the minimum and maximum number of parallel servers for a database that supports parallelism, would be defined in the CIM_DatabaseParameter class. This information is tied to the CommonDatabase using the ElementCapabilities association.

UMLPackagePath | string | CIM::Database::Storage
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherRecoverabilityOptions | string[] |
ArrayType | string | Indexed
Description | string | This property contains additional recovery information for the CommonDatabase. This property must be specified when the Recoverability property is "Other".
ModelCorrespondence | string | CIM_CommonDatabaseCapabilities.RecoverabilityOptions
RecoverabilityOptions | uint16[] |
ArrayType | string | Indexed
Description | string | This property identifies the supported recoverability modes for the associated CommonDatabase.
ModelCorrespondence | string | CIM_CommonDatabaseCapabilities.OtherRecoverabilityOptions
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Recoverable, Non-Recoverable, Rebuildable

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods